Home
Release Notes
Home
Release Notes
Linkedin
  1. Transactions
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
          POST
        • Update transaction
          POST
        • Cancel transaction
          POST
        • Get transaction status V2
          GET
        • Transactions List
          GET
        • Export Transactions List
          GET
        • Calculate receiving amount
          POST
        • Validate Account
          POST
      • Reconciliation
        • Reconciliation
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Transactions

Export Transactions List

GET
/remit-api/v1/transactions/export

Request

Authorization
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/remit-api/v1/transactions/export?from_date=01-AUG-2025&to_date=31-AUG-2025'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "page_no": 1,
        "page_size": 1000,
        "total": 1,
        "has_next": false,
        "items": [
            {
                "id": 1,
                "transaction_type": 2,
                "reference_no": "SNC003349444",
                "sender_first_name": "MAHAMOUD",
                "sender_middle_name": "HAJI",
                "sender_last_name": "YUSUF-ADAN",
                "sender_address": "SNC",
                "sender_contact_no": "733432008",
                "sender_date_of_birth": "01-Mar-1979",
                "sender_email": "",
                "sender_identity": 1,
                "sender_identity_no": "2503599",
                "sender_identity_expiry_date": "31-Mar-2027",
                "sender_nationality": "Somalia",
                "sender_country_code": "Yemen",
                "sender_country_of_birth": null,
                "receiver_first_name": "sad sdfa d",
                "receiver_middle_name": "",
                "receiver_last_name": "",
                "receiver_address": "EGYPT",
                "receiver_identity_no": "",
                "receiver_contact_no": "201032486931",
                "sending_currency_code": "EGP",
                "amount": 540.37,
                "deducted_amount_in_partner_currency": 10.81,
                "exchange_rate": 50.00,
                "fees": 1.08,
                "fees_currency_code": "USD",
                "account_no": "01032323000102",
                "receiver_bank_code": "CIB",
                "source_of_remittance": "SALARY",
                "purpose": "TRANSFER TO OWN FOREIGN BANK AC",
                "value_date": "29-Apr-2026",
                "sender_employer_name": "",
                "sender_job_description": "",
                "receiver_employer_name": "",
                "receiver_job_description": "",
                "sender_gender": "Male",
                "receiver_gender": "Male",
                "receiver_relationship": null,
                "created_at": "20-Aug-2025 09:02 AM",
                "failure_reason": "",
                "response_status": "In Progress",
                "response_status_code": 2,
                "last_update": "20-Aug-2025"
            }
        ]
    },
    "errors": null
}
đŸŸ 400Bad Request
Previous
Transactions List
Next
Calculate receiving amount
Built with